org.appng.openapi.model

## Class PageDefinition

- java.lang.Object
- - org.appng.openapi.model.PageDefinition

-     @Generated(value="org.openapitools.codegen.languages.JavaClientCodegen",
                 date="2023-03-20T12:57:48.851+01:00[Europe/Berlin]")
      public class PageDefinition
      extends Object

  PageDefinition

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JSON_PROPERTY_APP_N_G_VERSION`
    `static String` | `JSON_PROPERTY_APP_VERSION`
    `static String` | `JSON_PROPERTY_GET_PARAMETERS`
    `static String` | `JSON_PROPERTY_ID`
    `static String` | `JSON_PROPERTY_LINKS`
    `static String` | `JSON_PROPERTY_MESSAGES`
    `static String` | `JSON_PROPERTY_SECTIONS`
    `static String` | `JSON_PROPERTY_SELF`
    `static String` | `JSON_PROPERTY_SESSION_PARAMETERS`
    `static String` | `JSON_PROPERTY_TITLE`
    `static String` | `JSON_PROPERTY_URL_PARAMETERS`
    `static String` | `JSON_PROPERTY_URL_PATH`
    `static String` | `JSON_PROPERTY_URL_TEMPLATE`
    `static String` | `JSON_PROPERTY_USER`
    `static String` | `JSON_PROPERTY_USER_URL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PageDefinition()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PageDefinition` | `addLinksItem(Link linksItem)`
    `PageDefinition` | `addMessagesItem(Message messagesItem)`
    `PageDefinition` | `addSectionsItem(Section sectionsItem)`
    `PageDefinition` | `addUrlParametersItem(Parameter urlParametersItem)`
    `PageDefinition` | `appNGVersion(String appNGVersion)`
    `PageDefinition` | `appVersion(String appVersion)`
    `boolean` | `equals(Object o)`
    `String` | `getAppNGVersion()` The version of appNG
    `String` | `getAppVersion()` The version of the application
    `Map<String,String>` | `getGetParameters()` Get getParameters
    `String` | `getId()` Get id
    `List<Link>` | `getLinks()` Get links
    `List<Message>` | `getMessages()` Get messages
    `PageDefinition` | `getParameters(Map<String,String> getParameters)`
    `List<Section>` | `getSections()` Get sections
    `String` | `getSelf()` The URL of the page
    `Map<String,String>` | `getSessionParameters()` Get sessionParameters
    `Label` | `getTitle()` Get title
    `List<Parameter>` | `getUrlParameters()` Get urlParameters
    `String` | `getUrlPath()` the current URL path
    `String` | `getUrlTemplate()` A complete template for teh full path this page can handle
    `User` | `getUser()` Get user
    `String` | `getUserUrl()` The URL of the page represented to the user
    `int` | `hashCode()`
    `PageDefinition` | `id(String id)`
    `PageDefinition` | `links(List<Link> links)`
    `PageDefinition` | `messages(List<Message> messages)`
    `PageDefinition` | `putGetParametersItem(String key, String getParametersItem)`
    `PageDefinition` | `putSessionParametersItem(String key, String sessionParametersItem)`
    `PageDefinition` | `sections(List<Section> sections)`
    `PageDefinition` | `self(String self)`
    `PageDefinition` | `sessionParameters(Map<String,String> sessionParameters)`
    `void` | `setAppNGVersion(String appNGVersion)`
    `void` | `setAppVersion(String appVersion)`
    `void` | `setGetParameters(Map<String,String> getParameters)`
    `void` | `setId(String id)`
    `void` | `setLinks(List<Link> links)`
    `void` | `setMessages(List<Message> messages)`
    `void` | `setSections(List<Section> sections)`
    `void` | `setSelf(String self)`
    `void` | `setSessionParameters(Map<String,String> sessionParameters)`
    `void` | `setTitle(Label title)`
    `void` | `setUrlParameters(List<Parameter> urlParameters)`
    `void` | `setUrlPath(String urlPath)`
    `void` | `setUrlTemplate(String urlTemplate)`
    `void` | `setUser(User user)`
    `void` | `setUserUrl(String userUrl)`
    `PageDefinition` | `title(Label title)`
    `String` | `toString()`
    `PageDefinition` | `urlParameters(List<Parameter> urlParameters)`
    `PageDefinition` | `urlPath(String urlPath)`
    `PageDefinition` | `urlTemplate(String urlTemplate)`
    `PageDefinition` | `user(User user)`
    `PageDefinition` | `userUrl(String userUrl)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### JSON_PROPERTY_SELF

          public static final String JSON_PROPERTY_SELF

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_USER_URL

          public static final String JSON_PROPERTY_USER_URL

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_USER

          public static final String JSON_PROPERTY_USER

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_ID

          public static final String JSON_PROPERTY_ID

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_MESSAGES

          public static final String JSON_PROPERTY_MESSAGES

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_URL_PATH

          public static final String JSON_PROPERTY_URL_PATH

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_URL_PARAMETERS

          public static final String JSON_PROPERTY_URL_PARAMETERS

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_URL_TEMPLATE

          public static final String JSON_PROPERTY_URL_TEMPLATE

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_GET_PARAMETERS

          public static final String JSON_PROPERTY_GET_PARAMETERS

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_SESSION_PARAMETERS

          public static final String JSON_PROPERTY_SESSION_PARAMETERS

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_TITLE

          public static final String JSON_PROPERTY_TITLE

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_LINKS

          public static final String JSON_PROPERTY_LINKS

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_SECTIONS

          public static final String JSON_PROPERTY_SECTIONS

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_APP_N_G_VERSION

          public static final String JSON_PROPERTY_APP_N_G_VERSION

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_APP_VERSION

          public static final String JSON_PROPERTY_APP_VERSION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PageDefinition

          public PageDefinition()

  - ### Method Detail

    - #### self

          public PageDefinition self(String self)

    - #### getSelf

          public String getSelf()

      The URL of the page
      Returns:
        self

    - #### setSelf

          public void setSelf(String self)

    - #### userUrl

          public PageDefinition userUrl(String userUrl)

    - #### getUserUrl

          @Nullable
          public String getUserUrl()

      The URL of the page represented to the user
      Returns:
        userUrl

    - #### setUserUrl

          public void setUserUrl(String userUrl)

    - #### user

          public PageDefinition user(User user)

    - #### getUser

          @Nullable
          public User getUser()

      Get user
      Returns:
        user

    - #### setUser

          public void setUser(User user)

    - #### id

          public PageDefinition id(String id)

    - #### getId

          public String getId()

      Get id
      Returns:
        id

    - #### setId

          public void setId(String id)

    - #### messages

          public PageDefinition messages(List<Message> messages)

    - #### addMessagesItem

          public PageDefinition addMessagesItem(Message messagesItem)

    - #### getMessages

          @Nullable
          public List<Message> getMessages()

      Get messages
      Returns:
        messages

    - #### setMessages

          public void setMessages(List<Message> messages)

    - #### urlPath

          public PageDefinition urlPath(String urlPath)

    - #### getUrlPath

          @Nullable
          public String getUrlPath()

      the current URL path
      Returns:
        urlPath

    - #### setUrlPath

          public void setUrlPath(String urlPath)

    - #### urlParameters

          public PageDefinition urlParameters(List<Parameter> urlParameters)

    - #### addUrlParametersItem

          public PageDefinition addUrlParametersItem(Parameter urlParametersItem)

    - #### getUrlParameters

          @Nullable
          public List<Parameter> getUrlParameters()

      Get urlParameters
      Returns:
        urlParameters

    - #### setUrlParameters

          public void setUrlParameters(List<Parameter> urlParameters)

    - #### urlTemplate

          public PageDefinition urlTemplate(String urlTemplate)

    - #### getUrlTemplate

          @Nullable
          public String getUrlTemplate()

      A complete template for teh full path this page can handle
      Returns:
        urlTemplate

    - #### setUrlTemplate

          public void setUrlTemplate(String urlTemplate)

    - #### getParameters

          public PageDefinition getParameters(Map<String,String> getParameters)

    - #### putGetParametersItem

          public PageDefinition putGetParametersItem(String key,
                                                     String getParametersItem)

    - #### getGetParameters

          @Nullable
          public Map<String,String> getGetParameters()

      Get getParameters
      Returns:
        getParameters

    - #### setGetParameters

          public void setGetParameters(Map<String,String> getParameters)

    - #### sessionParameters

          public PageDefinition sessionParameters(Map<String,String> sessionParameters)

    - #### putSessionParametersItem

          public PageDefinition putSessionParametersItem(String key,
                                                         String sessionParametersItem)

    - #### getSessionParameters

          @Nullable
          public Map<String,String> getSessionParameters()

      Get sessionParameters
      Returns:
        sessionParameters

    - #### setSessionParameters

          public void setSessionParameters(Map<String,String> sessionParameters)

    - #### title

          public PageDefinition title(Label title)

    - #### getTitle

          @Nullable
          public Label getTitle()

      Get title
      Returns:
        title

    - #### setTitle

          public void setTitle(Label title)

    - #### links

          public PageDefinition links(List<Link> links)

    - #### addLinksItem

          public PageDefinition addLinksItem(Link linksItem)

    - #### getLinks

          @Nullable
          public List<Link> getLinks()

      Get links
      Returns:
        links

    - #### setLinks

          public void setLinks(List<Link> links)

    - #### sections

          public PageDefinition sections(List<Section> sections)

    - #### addSectionsItem

          public PageDefinition addSectionsItem(Section sectionsItem)

    - #### getSections

          @Nullable
          public List<Section> getSections()

      Get sections
      Returns:
        sections

    - #### setSections

          public void setSections(List<Section> sections)

    - #### appNGVersion

          public PageDefinition appNGVersion(String appNGVersion)

    - #### getAppNGVersion

          @Nullable
          public String getAppNGVersion()

      The version of appNG
      Returns:
        appNGVersion

    - #### setAppNGVersion

          public void setAppNGVersion(String appNGVersion)

    - #### appVersion

          public PageDefinition appVersion(String appVersion)

    - #### getAppVersion

          @Nullable
          public String getAppVersion()

      The version of the application
      Returns:
        appVersion

    - #### setAppVersion

          public void setAppVersion(String appVersion)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.